from django.db import models
from django.contrib.auth.models import User

class Info(models.Model):
    # Model User
    user = models.OneToOneField(User, on_delete=models.CASCADE)
    nama = models.CharField(max_length=255)
    password = models.CharField(max_length=255)
    tanggal_lahir = models.DateField()
    nomor_hp = models.CharField(max_length=15)
    email = models.EmailField()
    url_blog = models.URLField()
    deskripsi_diri = models.TextField()
    
    # Model Makanan dan Minuman no 4 & 5
    nik = models.CharField(max_length=16)
    jumlah_poin = models.IntegerField()